import React from 'react';
import type { AnyWorkspace } from '../stores/workspaces';
export type WorkspaceComponent<T extends AnyWorkspace['type']> = {
    name: T;
    component: React.FunctionComponent<Omit<Extract<AnyWorkspace, {
        type: T;
    }>, 'type'>>;
};
export type AnyWorkspaceComponent = WorkspaceComponent<'My Queries'> | WorkspaceComponent<'Performance'> | WorkspaceComponent<'Databases'> | WorkspaceComponent<'Collections'> | WorkspaceComponent<'Collection'>;
export declare const WorkspacesProvider: React.FunctionComponent<{
    value: AnyWorkspaceComponent[];
}>;
export declare const useWorkspacePlugin: () => <T extends "My Queries" | "Performance" | "Databases" | "Collections" | "Collection">(name: T) => React.FunctionComponent<Omit<Extract<import("@mongodb-js/compass-saved-aggregations-queries").MyQueriesWorkspace, {
    type: T;
}> | Extract<import("@mongodb-js/compass-serverstats").ServerStatsWorkspace, {
    type: T;
}> | Extract<import("@mongodb-js/compass-databases-collections").DatabasesWorkspace, {
    type: T;
}> | Extract<import("@mongodb-js/compass-databases-collections").CollectionsWorkspace, {
    type: T;
}> | Extract<import("@mongodb-js/compass-collection").CollectionWorkspace, {
    type: T;
}>, "type">>;
//# sourceMappingURL=workspaces-provider.d.ts.map