/// <reference types="react" />
import type AppRegistry from 'hadron-app-registry';
import type { ActivateHelpers } from 'hadron-app-registry';
import type { OpenWorkspaceOptions } from './stores/workspaces';
import type { MongoDBInstance } from '@mongodb-js/compass-app-stores/provider';
export type WorkspacesServices = {
    globalAppRegistry: AppRegistry;
    instance: MongoDBInstance;
};
export declare function activateWorkspacePlugin({ initialTab }: {
    initialTab?: OpenWorkspaceOptions;
}, { globalAppRegistry, instance }: WorkspacesServices, { on, cleanup }: ActivateHelpers): {
    store: import("redux").Store<import("./stores/workspaces").WorkspacesState, import("redux").AnyAction> & {
        dispatch: import("redux-thunk").ThunkDispatch<any, {
            globalAppRegistry: AppRegistry;
            instance: MongoDBInstance;
        }, import("redux").AnyAction>;
    };
    deactivate: () => void;
};
declare const WorkspacesPlugin: import("hadron-app-registry").HadronPluginComponent<{
    initialTab?: OpenWorkspaceOptions | undefined;
    context?: import("react").Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}, {
    instance: () => MongoDBInstance;
}>;
declare function activate(): void;
declare function deactivate(): void;
export default WorkspacesPlugin;
export { activate, deactivate };
export { default as metadata } from '../package.json';
export { WorkspacesProvider } from './components/workspaces-provider';
//# sourceMappingURL=index.d.ts.map